<?php


namespace Modules\Meta;

use Modules\Meta\Controller\MetaAPIController;
use Venom\Core\Config;
use Venom\Core\Module;
use Venom\Helper\AdminHelper;
use Venom\Routing\Route;
use Venom\Routing\Router;
use Venom\Venom;

class MetaDataModule implements Module, Route
{

    public function register(Venom $venom): bool
    {
        if (Config::getInstance()->isAdmin()) {
            $this->registerAdminRoutes($venom);
        }
        return true;
    }

    public function init(): void
    {
    }

    private function registerAdminRoutes(Venom $venom)
    {
        $venom->getRouter(Router::ADMIN_ROUTER)->addRoutes([
            '/metaData' => [
                'cl' => MetaAPIController::class,
                'roles' => ['ROLE_ADMIN'],
                'routes' => [
                    '*' => [
                        "GET" => 'get',
                    ],
                    '1' => [
                        "GET" => 'getById',
                        "POST" => 'update',
                        "PUT" => 'insert',
                        "DELETE" => 'delete'
                    ]
                ]
            ]
        ]);
    }

    public function get()
    {
        AdminHelper::sendResponse([
            'metaData' => [
                ['id' => 1, 'name' => 'engineertrooper', 'icon' => 'vt-edit'],
                ['id' => 2, 'name' => 'versustunez', 'icon' => 'vt-edit']
            ]
        ]);
    }

    public function update(): bool
    {
        return false;
    }

    public function insert(): bool
    {
        return false;
    }

    public function getById($id)
    {
        AdminHelper::sendResponse([
            'caseName' => 'ROLE_ADMIN',
            'id' => $id,
            'name' => 'Admin',
            'icon' => 'vt-visibility',
        ]);
    }
}