<?php


namespace Modules\User\Controller;


use Venom\Core\DatabaseHandler;
use Venom\Models\DatabaseObject;

class UserController
{

    public static function getById($id, array $fields = ["*"]): ?DatabaseObject
    {
        if (empty($id)) {
            return null;
        }
        $sel = DatabaseHandler::createEasySelect($fields, "users") . " WHERE id = :id";
        return DatabaseHandler::get()->getOne($sel, [
            ':id' => $id
        ]);
    }

    public static function get(array $fields = ["*"]): array
    {
        return DatabaseHandler::get()->getAll(DatabaseHandler::createEasySelect($fields, "users"));
    }

    public static function update($id, array $values = []): bool
    {
        if (count($values) === 0) {
            return false;
        }
        return DatabaseHandler::get()->execute(...DatabaseHandler::getUpdateString($values, "users", "WHERE id = :id"));
    }
}