<?php


namespace Modules\User;


use Modules\User\Controller\UserAPIController;
use Venom\Core\Config;
use Venom\Core\Module;
use Venom\Helper\AdminHelper;
use Venom\Routing\Route;
use Venom\Routing\Router;
use Venom\Venom;

class UserModule implements Module, Route
{

    public function register(Venom $venom): bool
    {
        if (Config::getInstance()->isAdmin()) {
            $this->registerAdminRoutes($venom);
        }
        return true;
    }

    public function init(): void
    {
    }

    private function registerAdminRoutes(Venom $venom)
    {
        $venom->getRouter(Router::ADMIN_ROUTER)->addRoutes([
            '/users' => [
                'cl' => UserAPIController::class,
                'roles' => ['ROLE_ADMIN'],
                'routes' => [
                    '*' => [
                        "GET" => 'get',
                    ],
                    '1' => [
                        "GET" => 'getById',
                        "POST" => 'insert',
                        "PUT" => 'update',
                    ]
                ]
            ]
        ]);
    }
}